Bug 824830 - Drools on Solaris triggers JDK bug
Drools on Solaris triggers JDK bug
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Solaris
unspecified Severity high
: ER9
: BRMS 5.3.0.GA
Assigned To: Mario Fusco
Lukáš Petrovický
:
Depends On:
Blocks: 824833
  Show dependency treegraph
 
Reported: 2012-05-24 07:49 EDT by Lukáš Petrovický
Modified: 2012-06-15 06:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 824833 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3534 Major Resolved DSL expander causes a StackOverflowError on Solaris 2012-08-01 08:07:18 EDT

  None (edit)
Description Lukáš Petrovický 2012-05-24 07:49:51 EDT
When running Drools unit tests on Solaris with Sun JDK 6, the following test throws a SOE:

org.drools.jsr94.rules.StatefulRuleSessionTest.testContainsObject

java.lang.StackOverflowError
	at java.util.regex.Pattern$Loop.match(Pattern.java:4275)
	at java.util.regex.Pattern$GroupTail.match(Pattern.java:4227)
	at java.util.regex.Pattern$BranchConn.match(Pattern.java:4078)
	at java.util.regex.Pattern$CharProperty.match(Pattern.java:3345)
	at java.util.regex.Pattern$Branch.match(Pattern.java:4114)
	at java.util.regex.Pattern$GroupHead.match(Pattern.java:4168)
	at java.util.regex.Pattern$Loop.match(Pattern.java:4295)
...

Turns out this is because of a bug in Sun JDK that will never be fixed:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5050507

There is also a workaround that should be implemented in order to get this fixed.
Comment 1 JBoss JIRA Server 2012-06-07 12:49:36 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3534 to Resolved
Comment 2 Mario Fusco 2012-06-07 13:04:59 EDT
The problem was indeed caused by a regular expression (used to remove comments from a DRL) containing an alternation. I fixed it by splitting that regexp in 2 parts.
Comment 3 Ryan Zhang 2012-06-13 05:32:40 EDT
This issue's fixes  have been picked by ER9. Please verify them on ER9.
Comment 4 Lukáš Petrovický 2012-06-15 06:01:39 EDT
Fixed in ER9.

Note You need to log in before you can comment on or make changes to this bug.